---
dependency:
  name: galaxy
  options:
    role-file: requirements.yml
    requirements-file: collections.yml

driver:
  name: docker

platforms:
  # - name: almalinux-8
  #   image: almalinux:8
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  # - name: amazonlinux-2
  #   image: amazonlinux:2
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /usr/sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  # - name: amazonlinux-2023
  #   image: amazonlinux:2023
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /usr/sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  # - name: debian-11
  #   image: debian:11
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  # - name: debian-12
  #   image: debian:12
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  # - name: centos-7
  #   image: centos:7
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  # - name: opensuse-leap-15
  #   image: opensuse/leap:15
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  # - name: rocky-8
  #   image: rockylinux:8
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  # - name: ubuntu-2004
  #   image: ubuntu:20.04
  #   dockerfile: ../common/Dockerfile.j2
  #   command: /sbin/init
  #   capabilities:
  #     - SYS_ADMIN
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro
  #   tmpfs:
  #     - /run
  #     - /run/lock
  #     - /tmp
  - name: ubuntu-2204
    image: ubuntu:22.04
    dockerfile: ../common/Dockerfile.j2
    command: /sbin/init
    capabilities:
      - SYS_ADMIN
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /run
      - /run/lock
      - /tmp

provisioner:
  name: ansible
  lint: |
    yamllint .
    ansible-lint
    flake8
  config_options:
    defaults:
      remote_tmp: /tmp/.ansible

verifier:
  name: testinfra

scenario:
  test_sequence:
    - dependency
    - cleanup
    - destroy
    - syntax
    - create
    - prepare
    - converge
    # - idempotence
    - side_effect
    # - verify
    - cleanup